Name:          jyaml
Version:       1.3
Release:       2%{?dist}
Summary:       Java object serialization using the Yaml format
Group:         Development/Libraries
License:       BSD
# https://github.com/aperepel
Url:           http://jyaml.sourceforge.net/
Source0:       http://sourceforge.net/projects/%{name}/files/%{name}/%{name}-%{version}/%{name}-src-%{version}.tgz
Source1:       http://repo1.maven.org/maven2/org/%{name}/%{name}/%{version}/%{name}-%{version}.pom
Patch0:        %{name}-%{version}-junit.patch
Patch1:        %{name}-%{version}-noretrotranslator.patch
Patch2:        %{name}-%{version}-javadoc.patch

BuildRequires: java-devel
BuildRequires: jpackage-utils

BuildRequires: ant
BuildRequires: junit

Requires:      jpackage-utils
BuildArch:     noarch

%description
JYaml is a Java library for Java object serialization using the
Yaml format - a human-friendly format for structured documents
(yaml.org).

%package javadoc
Group:         Documentation
Summary:       Javadoc for %{name}
Requires:      jpackage-utils

%description javadoc
This package contains javadoc for %{name}.

%prep
%setup -q -n %{name}

%patch0 -p0
%patch1 -p0
%patch2 -p0

find . -name "*.class" -delete
find . -name "*.jar" -delete

cat > project.properties << GIL
JUNIT_HOME=%{_javadir}
version=%{version}
GIL

sed -i 's/\r//' CHANGE_LOG LICENSE RELEASE_NOTES TODO

native2ascii -encoding UTF8 src/org/ho/yaml/tests/IntegrationTests.java \
  src/org/ho/yaml/tests/IntegrationTests.java

%build

ant build package javadoc

%install

mkdir -p %{buildroot}%{_javadir}
install -m 644 dist/%{name}-%{version}.jar %{buildroot}%{_javadir}/%{name}.jar

mkdir -p %{buildroot}%{_mavenpomdir}
install -pm 644 %{SOURCE1} %{buildroot}%{_mavenpomdir}/JPP-%{name}.pom
%add_maven_depmap

mkdir -p %{buildroot}%{_javadocdir}/%{name}
cp -pr dist/docs/* %{buildroot}%{_javadocdir}/%{name}

%check
# [junit] Test org.ho.yaml.tests.IntegrationTests FAILED
ant test ||:

%files
%{_javadir}/%{name}.jar
%{_mavenpomdir}/JPP-%{name}.pom
%{_mavendepmapfragdir}/%{name}
%doc CHANGE_LOG LICENSE RELEASE_NOTES TODO

%files javadoc
%{_javadocdir}/%{name}
%doc LICENSE

%changelog
* Wed Mar 27 2013 gil cattaneo <puntogil@libero.it> 1.3-2
- initial import for fedora

* Wed Aug 10 2011 gil <puntogil@libero.it> 1.3-mga1
- initial import